.test {
  background-image: linear-gradient(
      to right,
      rgba(251, 221, 144, 0) 50%,
      rgba(251, 221, 144, 0) 50% /* rgba(251, 221, 144, 1) 100% */
    ),
    url('/src/assets/img/img4.png');
}

@media screen and (max-width: 767px) {
  .test {
    background-image: linear-gradient(
        to right,
        rgba(251, 221, 144, 0.5) 100%,
        /* 100% opacity for mobile */ rgba(251, 221, 144, 1) 100%
      ),
      url('/src/assets/img/background2.avif');
    background-position: center;
  }
}
